Subject: Re: [PATCH net-next 1/2] net: l3mdev: Add master device lookup by index

From: David Ahern <[email-masked]>
Date: Sun, 22 Nov 2015 21:02:04 -0700

On 11/22/15 11:17 AM, David Miller wrote:
> From: David Ahern <[email-masked]>
> Date: Sun, 22 Nov 2015 10:30:32 -0700
>
>> In this case ...
>
> I understand the problem you are trying to solve, but I am saying
> you can't use sk_bound_dev_if to use it.
>

I am confused by that response given that sk_bound_dev_if is one of the 
key principals for the VRF implementation. Applications wanting to 
communicate over interfaces in a VRF have to set sk_bound_dev_if. If 
sk_bound_dev_if is not set by the kernel when the child socket is 
created the TCP handshake will not complete. It is not something that 
can be deferred until after accept.